{% extends 'base.html.twig' %}

{% block container %}
<div class="row justify-content-center">
    <div class="col-4 mt-4">
        <span>Sort By: </span>
        <a href="?sortBy=userName">User Name</a>
        <a href="?sortBy=email">E-mail</a>
        <a href="?sortBy=done">Done</a>
    </div>
</div>
{% for task in tasks %}
<div class="row justify-content-center">
    <div class="col-4 mt-4">
        {% if task.isDone %}
        <div class="card text-white bg-success">
            {% else %}
            <div class="card">
                {% endif %}
                <div class="card-body">
                    <p class="card-text">
                        {{ task.description }}
                    </p>
                    <h6 class="card-subtitle mb-2 text-muted">{{ task.userName }} {{ task.email }}</h6>
                    {% if isAdmin and not task.isDone %}
                        <a href="/admin/done/{{ task.id }}" class="btn btn-primary">Done</a>
                    {% endif %}
                    {% if isAdmin %}
                        <a href="/admin/edit/{{ task.id }}" class="card-link">Edit</a>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    {% endfor %}
    {% include 'task-list-nav.html.twig' %}
    {% endblock %}
